## Function template register_simple_filter_factory

boost::log::register_simple_filter_factory

## Synopsis

    // In header: <boost/log/utility/setup/filter_parser.hpp>

    template<typename CharT, typename DescriptorT,
             template< typename > class ActorT>
      void register_simple_filter_factory(expressions::attribute_keyword< DescriptorT, ActorT > const & keyword);

## Description

The function registers a simple filter factory object for the specified attribute keyword. The factory will support attribute values described by the keyword. The values must support all relation operations, such as equality comparison and less/greater ordering, and also extraction from stream.

Parameters:

`keyword` | Attribute keyword to associate the factory with

Requires: | `name != NULL`, `name` points to a zero-terminated string